USRP Hardware Driver and USRP Manual: uhd::usrp Namespace Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::usrp Namespace Reference

## Namespaces
namespace | cal
namespace | gpio_atr
namespace | zbx

## Classes
struct | component_file_t
class | dboard_base
struct | dboard_eeprom_t
class | dboard_id_t
class | dboard_iface
struct | dboard_iface_special_props_t
| Special properties that differentiate this daughterboard slot. More...
class | dboard_manager
class | fe_connection_t
class | multi_usrp
class | rx_dboard_base
struct | subdev_spec_pair_t
class | subdev_spec_t
class | tx_dboard_base
class | xcvr_dboard_base

## Typedefs
typedef std::vector< component_file_t > | component_files_t
typedef uhd::dict< std::string, std::string > | mboard_eeprom_t

## Functions
UHD_API bool | operator== (const dboard_id_t &lhs, const dboard_id_t &rhs)
UHD_API bool | operator== (const fe_connection_t &lhs, const fe_connection_t &rhs)
UHD_API bool | operator== (const subdev_spec_pair_t &, const subdev_spec_pair_t &)
| overloaded comparison operator for subdev_spec_pair_t

## Typedef Documentation

## ◆ component_files_t

typedef std::vector<component_file_t> uhd::usrp::component_files_t

## ◆ mboard_eeprom_t

typedef uhd::dict<std::string, std::string> uhd::usrp::mboard_eeprom_t

The motherboard EEPROM object.

The specific implementation knows how to read and write the EEPROM for various USRPs. By itself, this class is nothing but a thin wrapper around a string -> string dictionary.

Note that writing to an object of type mboard_eeprom_t does not actually write to the EEPROM. Devices have their own APIs to read/write from the EEPROM chips themselves. Most devices will write the EEPROM itself when the according property is updated.

## Function Documentation

## ◆ operator==() [1/3]

UHD_API bool uhd::usrp::operator== | ( | const dboard_id_t & | lhs,
|  | const dboard_id_t & | rhs )

Comparator operator overloaded for dboard ids. The boost::equality_comparable provides the !=.

Parameters

  lhs | the dboard id to the left of the operator
  rhs | the dboard id to the right of the operator

Returns
  true when the dboard ids are equal

## ◆ operator==() [2/3]

UHD_API bool uhd::usrp::operator== | ( | const fe_connection_t & | lhs,
|  | const fe_connection_t & | rhs )

Comparator operator overloaded for fe_connection_t. The boost::equality_comparable provides the !=.

Parameters

  lhs | the fe_connection_t to the left of the operator
  rhs | the fe_connection_t to the right of the operator

Returns
  true when the fe connections are equal

## ◆ operator==() [3/3]

UHD_API bool uhd::usrp::operator== | ( | const subdev_spec_pair_t & | ,
|  | const subdev_spec_pair_t & | )

overloaded comparison operator for subdev_spec_pair_t